/*
 * etPan! -- a mail user agent
 *
 * Copyright (C) 2001, 2002 - DINH Viet Hoa
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the libEtPan! project nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * $Id: etpan-cfg-local-abook-types.h,v 1.1 2004/03/18 01:32:02 hoa Exp $
 */

#ifndef ETPAN_CFG_LOCAL_ABOOK_TYPES_H

#define ETPAN_CFG_LOCAL_ABOOK_TYPES_H

#include <libetpan/clist.h>
#include "etpan-cfg-global-types.h"

struct etpan_local_abook_mail {
  char * addr;
  char * descr;
  char * suffix;
};

struct etpan_local_abook_phone {
  char * phone;
  char * descr;
};

struct etpan_local_abook_postal_address {
  char * address1;
  char * address2;
  char * city;
  char * zip;
  char * country;
  char * state;
};

#define ETPAN_LOCAL_ABOOK_MAX_MAIL 4
#define ETPAN_LOCAL_ABOOK_MAX_POSTAL 4
#define ETPAN_LOCAL_ABOOK_MAX_PHONE 4

struct etpan_local_abook_entry {
  char * category;
  char * name;
  char * nick;
  char * addr; /* should be deprecated */
  struct etpan_local_abook_mail mail[ETPAN_LOCAL_ABOOK_MAX_MAIL];
  struct etpan_local_abook_postal_address postal[ETPAN_LOCAL_ABOOK_MAX_POSTAL];
  struct etpan_local_abook_phone phone[ETPAN_LOCAL_ABOOK_MAX_PHONE];
  char * url;
  char * notes;
};

struct etpan_local_abook_config {
  struct etpan_global_config * global_config;
  clist * entry_list;
  clist * list_list;
};

#endif

