/*
 * etPan! -- a mail user agent
 *
 * Copyright (C) 2001, 2002 - DINH Viet Hoa
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the libEtPan! project nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * $Id: etpan-msg-renderer-types.h,v 1.5 2003/12/10 23:16:46 hoa Exp $
 */

#ifndef ETPAN_MSG_RENDERER_TYPES_H

#define ETPAN_MSG_RENDERER_TYPES_H

enum {
  ETPAN_VIEWER_ZONE_NORMAL,
  ETPAN_VIEWER_ZONE_HEADER,
  ETPAN_VIEWER_ZONE_SIGNATURE,
  ETPAN_VIEWER_ZONE_LINK,
  ETPAN_VIEWER_ZONE_DESCRIPTION,
  ETPAN_VIEWER_ZONE_SECURITY,
  ETPAN_VIEWER_ZONE_ERROR,
};

struct etpan_text_prop {
  size_t start;
  size_t end;
  int zone_type;
  void * zone_data;
};

#define ETPAN_RENDER_FLAGS_MAIN_HEADER     1
#define ETPAN_RENDER_FLAGS_HIDE_HEADER     2
#define ETPAN_RENDER_FLAGS_HIDE_PART_INFO  4

#endif
