/*
 * etPan! -- a mail user agent
 *
 * Copyright (C) 2001, 2002 - DINH Viet Hoa
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the libEtPan! project nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*
 * $Id: etpan-msg-viewer-app.h,v 1.4 2003/12/10 23:16:46 hoa Exp $
 */

#ifndef ETPAN_MSG_VIEWER_APP_H

#define ETPAN_MSG_VIEWER_APP_H

#include "etpan-subapp-types.h"
#include "etpan-app-types.h"

struct etpan_subapp * etpan_msg_viewer_app_new(struct etpan_app * app);

int etpan_msg_viewer_app_set_msg(struct etpan_subapp * app,
    struct mailfolder * folder,
    mailmessage * msg,
    char * filename, FILE * f, carray * attr);

void etpan_msg_viewer_app_flush(struct etpan_subapp * app);

void etpan_msg_viewer_app_set_parent(struct etpan_subapp * app,
    struct etpan_subapp * parent_app);

mailmessage * etpan_msg_viewer_app_get_msg(struct etpan_subapp * app);

struct mailfolder *
etpan_msg_viewer_app_get_folder(struct etpan_subapp * app);

#endif
